<?
/*
 MailWatch for MailScanner
 Copyright (C) 2003  Steve Freegard (smf@f2s.com)

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

///////////////////////////////////////////////////////////////////////////////
// Settings - modify to suit your configuration
///////////////////////////////////////////////////////////////////////////////

// Debug messages
define(DEBUG, false);

// Database settings
define(DB_TYPE, 'mysql');
define(DB_USER, 'mailwatch');
define(DB_PASS, 'eepGur&');
define(DB_HOST, 'localhost');
define(DB_NAME, 'mailscanner');
define(DB_DSN, DB_TYPE.'://'.DB_USER.":".DB_PASS."@".DB_HOST."/".DB_NAME);

// LDAP settings
define(LDAP_HOST,'localhost');
define(LDAP_PORT,'389');
define(LDAP_DN,'o=fsmg');
define(LDAP_SITE,'default');

// Paths
define(MAILWATCH_HOME, '/var/www/mailscanner');
define(MS_CONFIG_DIR, '/etc/MailScanner/');
define(MS_LIB_DIR, '/usr/lib/MailScanner/');
define(CACHE_DIR, './images/cache/'); // JpGraph cache
define(TTF_DIR,'./jpgraph/fonts/'); // JpGraph fonts
define(SA_DIR,'/usr/bin/');
define(SA_RULES_DIR, '/usr/share/spamassassin/');
define(SA_PREFS, MS_CONFIG_DIR.'spam.assassin.prefs.conf');
define(FPDF_FONTPATH,'./fpdf/font/');

// Default number of results on Recent Messages and Message Listing Report
define(MAX_RESULTS, 50);
// Default refresh rate in seconds for the Recent Messages screen
define(STATUS_REFRESH, 30);

// Set the following to a value greater than zero to limit the length of the 
// From, To and Subject columns in the 'Recent Messages' screen. 
define(FROMTO_MAXLEN, 50);
define(SUBJECT_MAXLEN, 0);

// Date/Time settings
define(DATE_FORMAT, '%d/%m/%y');
define(TIME_FORMAT, '%H:%i:%s');

// Quarantine settings

// The quarantine flag is only available on MailScanner >=4.43
// it will dramtically improved the speed of quarantine operations
// but requires that you use the quarantine_manager.php in place of
// the clean.quarantine script provided with MailScanner.
define(QUARANTINE_USE_FLAG, true);
define(QUARANTINE_DAYS_TO_KEEP, 30);
define(QUARANTINE_MAIL_HOST, '127.0.0.1');
define(QUARANTINE_FROM_ADDR, 'postmaster@DOMAIN_NAME');
define(QUARANTINE_REPORT_FROM_NAME, 'MailWatch for MailScanner');
define(QUARANTINE_REPORT_SUBJECT, 'Message Quarantine Report');
define(QUARANTINE_SUBJECT, 'Message released from quarantine');
define(QUARANTINE_MSG_BODY, 'Please find the original message that was quarantined attached to this mail.

Regards,
Postmaster');
define(QUARANTINE_REPORT_HOSTURL, 'http://'.chop(`hostname`).'/mailscanner/');
define(QUARANTINE_REPORT_DAYS, 7);
define(QUARANTINE_USE_SENDMAIL, false);
define(QUARANTINE_SENDMAIL_PATH, '/usr/sbin/sendmail');

// This turns virus names into links that can be used to get more information
// about a given virus or virus alias.  Comment out or set to false to disable.
define(VIRUS_INFO, "http://www.rainingfrogs.co.uk/index.php?virus=%s&search=contains&Search=Search");
// define(VIRUS_INFO, "http://www.viruslist.com/en/find?search_mode=virus&words=%s");

// When filtering data - only use the envelope 'To' address or 'To' domain.
// This greatly increases perfomance as MySQL will not use indexes when 
// two different fields are OR'd together. 
define(FILTER_TO_ONLY, false);

// Set this to true to hide things that won't work correctly if you have
// a distributed set of MailScanners logging to a single database.
define(DISTRIBUTED_SETUP, false);

// PHP memory limit when viewing details and attachments of messages 
// "128M" should be fine in most cases, but you may need to increase it if
// you're having problems viewing the details of large messages
define(MEMORY_LIMIT, "128M");

// RPC-only mode - used primarily for testing (you shouldn't need to enable this)
define(RPC_ONLY, false);

// Display the inbound/outbound mail queue lengths
// Note: this only works with Sendmail & Exim 
// You will also need to run mailwatch/mailq.php from cron.
define(MAILQ, false);

// Do you want an audit trail?
define(AUDIT, false);

// Do you want the whitelist/blacklist functionality enabled??
// You'll need to configure MailScanner to use it accordingly.
define(LISTS, true);

// Are we running on MSEE?
define(MSEE, false);

// Force SSL connections only?
define(SSL_ONLY, false);

// Strip HTML from messages in the quarantine when viewed?
// This is probably a good idea...
define(STRIP_HTML, true);
// List of allowed tags - set as blank to strip everything
define(ALLOWED_TAGS, '<a><br><b><body><div><font><h1><h2><h3><h4><head><html><i><li><ol><p><small><span><strong><table><title><tr><td><th><u><ul>');

// Override VIRUS_REGEX??
// define(VIRUS_REGEX, '/(\S+) was infected by (\S+)/'); // SophosSAVI
?>
